# Stats

## GET /stats/most-traded

> Fetches the rune collection with the biggest volume of trades

```json
{"openapi":"3.1.0","info":{"title":"Saturn Indexer API","version":"0.1.0"},"tags":[{"name":"stats","description":"Saturn trading statistics"}],"servers":[{"url":"http://127.0.0.1:3000","description":"Local testing"}],"paths":{"/stats/most-traded":{"get":{"tags":["stats"],"description":"Fetches the rune collection with the biggest volume of trades","operationId":"get_most_traded_collections","responses":{"200":{"description":"Rune collection with stats","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionPairStats"}}}},"404":{"description":"No collections found"}}}}},"components":{"schemas":{"CollectionPairStats":{"type":"object","required":["token0","token1","current_price","stats_per_period"],"properties":{"token0":{"$ref":"#/components/schemas/Collection"},"token1":{"$ref":"#/components/schemas/Collection"},"current_price":{"type":"string"},"stats_per_period":{"type":"array","items":{"$ref":"#/components/schemas/CollectionPairStatsForPeriod"}}}},"Collection":{"oneOf":[{"allOf":[{"$ref":"#/components/schemas/BTCCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["btc"]}}}]},{"allOf":[{"$ref":"#/components/schemas/RuneCollection"},{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["rune"]}}}]}]},"BTCCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuneCollection":{"type":"object","required":["id","name","displayName","divisibility","supply","verified","premined","burned","createdAt","updatedAt"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"symbol":{"type":["string","null"]},"divisibility":{"type":"integer","format":"int32","minimum":0},"supply":{"type":"string"},"verified":{"type":"boolean"},"icon":{"type":["string","null"]},"premined":{"type":"string"},"burned":{"type":"string"},"transactionId":{"type":["string","null"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"CollectionPairStatsForPeriod":{"type":"object","required":["period","total_volume","transactions","fee_token0","fee_token1","price_change","high_price","low_price"],"properties":{"period":{"$ref":"#/components/schemas/Period"},"total_volume":{"type":"string"},"transactions":{"type":"integer","format":"int32","minimum":0},"fee_token0":{"type":"string"},"fee_token1":{"type":"string"},"price_change":{"$ref":"#/components/schemas/PriceChange"},"high_price":{"type":"string"},"low_price":{"type":"string"}}},"Period":{"type":"string","enum":["Day","Week","Month"]},"PriceChange":{"type":"object","required":["percentage","absolute"],"properties":{"percentage":{"type":"number","format":"double"},"absolute":{"type":"number","format":"double"}}}}}}
```
